1 Reply Latest reply on Aug 25, 2014 1:26 PM by Ned Murphy

    I just purchased an imac OS 10.6.8, what version of CS do I need to work on my mac, OS3, OS4.........                .....? Also do I need a deactivated Serial

    ethannolan

      I just purchased an imac OS 10.6.8, what version of CS do I need to work on my mac, OS3, OS4..............? Also do I need a deactivated Serial number and/or key to activate on my mac if bought from a previous owner?